package TestApp01_call;

import com.global.api.terminals.abstractions.ITerminalResponse;
import com.global.api.terminals.ingenico.responses.IngenicoBaseResponse;
import com.global.api.terminals.ingenico.responses.IngenicoTerminalResponse;

public class respMsg {
	String _ePosNumText2 = " ";
	String _transacStatusText = " ";
	String _respAmntText = " ";
	String _paymentText = " ";
	String _currency2Text = " ";
	String _respDataText = " ";
	String _privDataText2 = " ";
	String _authCodetext = " ";
	String _cashBackText = " ";
	String _gratuityText = " ";
	String _ftxnAmntTxt = " ";
	String _availAmntText = " ";
	String _payMethodText = " ";
	String _txnSubTypeText = " ";
	String _sSaleAmntText = " ";
	String _dccAmnt = " ";
	String _dccCurrency = " ";
	String _dccStatus = " ";

	public respMsg() {

	}

	public void displayResponse(ITerminalResponse response) {
		set_ePosNumText2(((IngenicoBaseResponse) response).getReferenceNumber() == null ? ""
				: ((IngenicoBaseResponse) response).getReferenceNumber());
		set_transacStatusText(response.getStatus() == null ? "" : response.getStatus());
		set_respAmntText(response.getTransactionAmount() == null ? "" : response.getTransactionAmount().toString());
		set_paymentText(((IngenicoTerminalResponse) response).getPaymentMode() == null ? ""
				: ((IngenicoTerminalResponse) response).getPaymentMode().toString());
		set_respDataText("");
		set_currency2Text(((IngenicoTerminalResponse) response).getCurrencyCode() == null ? ""
				: ((IngenicoTerminalResponse) response).getCurrencyCode());
		set_privDataText2(((IngenicoTerminalResponse) response).getPrivateData() == null ? ""
				: ((IngenicoTerminalResponse) response).getPrivateData());
		set_authCodetext((response.getAuthorizationCode() != null ? response.getAuthorizationCode() : ""));
		set_cashBackText((response.getCashBackAmount() != null ? response.getCashBackAmount().toString() : ""));
		set_gratuityText(
				(response.getTipAmount() != null ? String.format("%s", response.getTipAmount().toString()) : ""));
		set_ftxnAmntTxt((((IngenicoTerminalResponse) response).getFinalTransactionAmount() != null
				? ((IngenicoTerminalResponse) response).getFinalTransactionAmount().toString()
				: ""));
		set_availAmntText((response.getBalanceAmount() != null ? response.getBalanceAmount().toString() : ""));
		set_payMethodText(response.getPaymentType().toString());
		set_txnSubTypeText("");
		set_sSaleAmntText("");
		set_dccAmnt("");
		set_dccCurrency((((IngenicoTerminalResponse) response).getDccCurrency() != null
				? ((IngenicoTerminalResponse) response).getDccCurrency()
				: ""));
		set_dccStatus("");
	}

	public String get_ePosNumText2() {
		return _ePosNumText2;
	}

	public void set_ePosNumText2(String _ePosNumText2) {
		this._ePosNumText2 = _ePosNumText2;
	}

	public String get_transacStatusText() {
		return _transacStatusText;
	}

	public void set_transacStatusText(String _transacStatusText) {
		this._transacStatusText = _transacStatusText;
	}

	public String get_respAmntText() {
		return _respAmntText;
	}

	public void set_respAmntText(String _respAmntText) {
		this._respAmntText = _respAmntText;
	}

	public String get_paymentText() {
		return _paymentText;
	}

	public void set_paymentText(String _paymentText) {
		this._paymentText = _paymentText;
	}

	public String get_currency2Text() {
		return _currency2Text;
	}

	public void set_currency2Text(String _currency2Text) {
		this._currency2Text = _currency2Text;
	}

	public String get_respDataText() {
		return _respDataText;
	}

	public void set_respDataText(String _respDataText) {
		this._respDataText = _respDataText;
	}

	public String get_privDataText2() {
		return _privDataText2;
	}

	public void set_privDataText2(String _privDataText2) {
		this._privDataText2 = _privDataText2;
	}

	public String get_authCodetext() {
		return _authCodetext;
	}

	public void set_authCodetext(String _authCodetext) {
		this._authCodetext = _authCodetext;
	}

	public String get_cashBackText() {
		return _cashBackText;
	}

	public void set_cashBackText(String _cashBackText) {
		this._cashBackText = _cashBackText;
	}

	public String get_gratuityText() {
		return _gratuityText;
	}

	public void set_gratuityText(String _gratuityText) {
		this._gratuityText = _gratuityText;
	}

	public String get_ftxnAmntTxt() {
		return _ftxnAmntTxt;
	}

	public void set_ftxnAmntTxt(String _ftxnAmntTxt) {
		this._ftxnAmntTxt = _ftxnAmntTxt;
	}

	public String get_availAmntText() {
		return _availAmntText;
	}

	public void set_availAmntText(String _availAmntText) {
		this._availAmntText = _availAmntText;
	}

	public String get_payMethodText() {
		return _payMethodText;
	}

	public void set_payMethodText(String _payMethodText) {
		this._payMethodText = _payMethodText;
	}

	public String get_txnSubTypeText() {
		return _txnSubTypeText;
	}

	public void set_txnSubTypeText(String _txnSubTypeText) {
		this._txnSubTypeText = _txnSubTypeText;
	}

	public String get_sSaleAmntText() {
		return _sSaleAmntText;
	}

	public void set_sSaleAmntText(String _sSaleAmntText) {
		this._sSaleAmntText = _sSaleAmntText;
	}

	public String get_dccAmnt() {
		return _dccAmnt;
	}

	public void set_dccAmnt(String _dccAmnt) {
		this._dccAmnt = _dccAmnt;
	}

	public String get_dccCurrency() {
		return _dccCurrency;
	}

	public void set_dccCurrency(String _dccCurrency) {
		this._dccCurrency = _dccCurrency;
	}

	public String get_dccStatus() {
		return _dccStatus;
	}

	public void set_dccStatus(String _dccStatus) {
		this._dccStatus = _dccStatus;
	}

	public void clear() {

	}
}
